#include "CS_PuppyFishFaceToBack.h"
const int CS_PuppyFishSTATENAME_FACETOBACK = ++entityStateID;
CS_PuppyFishFaceToBack::CS_PuppyFishFaceToBack()
{
	stateID = CS_PuppyFishSTATENAME_FACETOBACK;
}

void CS_PuppyFishFaceToBack::State()
{
	auto we = e.lock();
	if (!we)
		return;

	we->ani.sprite_index = we->lr == 0 ? L"mc_puppyfish_back_l" : L"mc_puppyfish_back_r";
}

void CS_PuppyFishFaceToBack::ChangeStateMsg(int stateID)
{
	if (stateID == GetStateID())
		enable = true;
	else
		enable = false;
}
